Commands.Move
Keywords: net.corda.finance.contracts.asset.Cash.Commands.Move class
Date: 2023-09-18

net.corda.finance.contracts.asset

## Class Commands.Move

- net.corda.finance.contracts.asset.Cash.Commands.Move

- All Implemented Interfaces:
    CommandData, MoveCommand
  Enclosing interface:
    Cash.Commands

      public static class Commands.Move
      implements MoveCommand

  A command stating that money has been moved, optionally to fulfil another contract.

- - ### Constructor Detail

    - #### Move

          public Move(@Nullable
                      java.lang.Class<? extends net.corda.core.contracts.Contract> contract)

      A command stating that money has been moved, optionally to fulfil another contract.

      Parameters:
        `contract` - the contract this move is for the attention of. Only that contract's verify functionshould take the moved states into account when considering whether it is valid. Typically this will benull.

    - #### Move

          public Move()

      A command stating that money has been moved, optionally to fulfil another contract.

  - ### Method Detail

    - #### getContract

          @Nullable
          public java.lang.Class<? extends net.corda.core.contracts.Contract> getContract()

      the contract this move is for the attention of.

      Only that contract's verify functionshould take the moved states into account when considering whether it is valid. Typically this will benull.

    - #### component1

          @Nullable
          public java.lang.Class<? extends net.corda.core.contracts.Contract> component1()

      the contract this move is for the attention of.

      Only that contract's verify functionshould take the moved states into account when considering whether it is valid. Typically this will benull.

    - #### copy

          @NotNull
          public net.corda.finance.contracts.asset.Cash.Commands.Move copy(@Nullable
                                                                                    java.lang.Class<? extends net.corda.core.contracts.Contract> contract)

      A command stating that money has been moved, optionally to fulfil another contract.

      Parameters:
        `contract` - the contract this move is for the attention of. Only that contract's verify function should take the moved states into account when considering whether it is valid. Typically this will be null.

    - #### toString

          @NotNull
          public java.lang.String toString()

      A command stating that money has been moved, optionally to fulfil another contract.

    - #### hashCode

          public int hashCode()

      A command stating that money has been moved, optionally to fulfil another contract.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A command stating that money has been moved, optionally to fulfil another contract.